lzma2_decoder.c File Reference

LZMA2 decoder. More...

`#include "lzma2_decoder.h"`
`#include "lz_decoder.h"`
`#include "lzma_decoder.h"`

## Data Structures

struct | lzma_lzma2_coder

## Functions

static lzma_ret | lzma2_decode (void *coder_ptr, lzma_dict *restrict dict, const uint8_t *restrict in, size_t *restrict in_pos, size_t in_size)
static void | lzma2_decoder_end (void *coder_ptr, const lzma_allocator *allocator)
static lzma_ret | lzma2_decoder_init (lzma_lz_decoder *lz, const lzma_allocator *allocator, const void *opt, lzma_lz_options *lz_options)
lzma_ret | lzma_lzma2_decoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
uint64_t | lzma_lzma2_decoder_memusage (const void *options)
lzma_ret | lzma_lzma2_props_decode (void **options, const lzma_allocator *allocator, const uint8_t *props, size_t props_size)

## Detailed Description

LZMA2 decoder.